Get O Auth2 Client By Id

Get O Auth2 Client By Id
Get an OAuth 2.0 client by ID

This endpoint is responsible for fetching an OAuth 2.0 client with rule sets by client ID.

Request
URI
GET
https://{api_host}/acs/t/{tenant}/broker/oauth2-clients/{id}
COPY
Path Parameters
string
id
Required

The ID of the Oauth 2.0 client

id example
my-auth-grant-client1
string
tenant
Required

The VMware Identity Services tenant ID

tenant example
my-tenant

Authentication
This operation uses the following authentication methods.
Responses
200

OAuth 2.0 client was fetched successfully.

Returns BrokerOAuth2ClientMedia of type(s) application/vnd.vmware.horizon.manager.accesscontrol.broker.oauth2client.with.rule.sets+json
{
    "id": "d24afa39-05a1-433f-8aa9-ad41c9a3d394",
    "secret": "my-auth-grant-client1-secret",
    "scope": [
        "admin",
        "user",
        "openid",
        "profile",
        "email"
    ],
    "_links": {
        "self": {
            "href": "https://example.com/path-to-self"
        }
    },
    "client_id": "my-auth-grant-client1",
    "access_token_ttl": 10080,
    "refresh_token_ttl": 525600,
    "refresh_token_idle_ttl": 525600,
    "primary_secret_auto_retires_at": 0,
    "rotate_secret": true,
    "display_name": "\"my application client credentials oauth2 client\"",
    "last_secret_rotated_at": 1716224522,
    "secret_ttl": 5184000,
    "created_date": 1716224522,
    "metadata": [
        {
            "key": "string",
            "value": "string"
        }
    ],
    "token_overflow_threshold": 4096,
    "grant_types": [
        "authorization_code",
        "client_credentials"
    ],
    "redirect_uris": [
        "https://*.hostname1.com/auth/*",
        "https://*.hostname2.com/auth/*"
    ],
    "post_logout_redirect_uris": [
        "https://*.hostname1.com/openid/logout/*",
        "https://*.hostname2.com/logout/*"
    ],
    "rule_set_names": [
        "IDP_AND_DIRECTORY_ADMIN",
        "READ_ONLY_TENANT_ADMIN"
    ],
    "pkce_enforced": true,
    "public_client": true,
    "vcf_app": true,
    "client_type": "API_CLIENT",
    "description": "Service account for nightly sync job"
}

404

The OAuth 2.0 client was not found.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/acs/t/{tenant}/broker/oauth2-clients/{id}